## ros-kinetic-xiaoqiang-depth-image-proc 0.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(xiaoqiang_depth_image_proc)

find_package(catkin REQUIRED cmake_modules cv_bridge eigen_conversions image_geometry image_transport message_filters nodelet sensor_msgs stereo_msgs tf2 tf2_ros)

if(cv_bridge_VERSION VERSION_GREATER "1.12.0")
  add_compile_options(-std=c++11)
endif()

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME})

find_package(Boost REQUIRED)
find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()
find_package(OpenCV REQUIRED)
include_directories(include
        ${PROJECT_SOURCE_DIR}
        SYSTEM ${BOOST_INCLUDE_DIRS}
               ${catkin_INCLUDE_DIRS}
               ${EIGEN_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/nodelets/convert_metric.cpp
                             src/nodelets/crop_foremost.cpp
                             src/nodelets/disparity.cpp
                             src/nodelets/occupancy_xyz.cpp
                             src/nodelets/point_cloud_xyz.cpp
                             src/nodelets/point_cloud_xyzrgb.cpp
                             src/nodelets/point_cloud_xyzi.cpp
                             src/nodelets/point_cloud_xyz_radial.cpp
                             src/nodelets/point_cloud_xyzi_radial.cpp
                             src/nodelets/register.cpp
)
        
execute_process(
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/ThirdParty/ANN
        COMMAND "make" "linux-g++"
        RESULT_VARIABLE RES

)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES} ${PROJECT_SOURCE_DIR}/ThirdParty/ANN/lib/libANN.a)

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h")

install(TARGETS ${PROJECT_NAME}
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-xiaoqiang-depth-image-proc (0.0.12-0xenial) xenial; urgency=high

  * fix ANN build error
  * fix ann build
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-depth-image-proc (0.0.11-0xenial) xenial; urgency=high

  * fix linking error
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Wed, 13 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-depth-image-proc (0.0.10-0xenial) xenial; urgency=high

  * add navigation and add fix depth image dependency
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Fri, 08 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-depth-image-proc (0.0.9-0xenial) xenial; urgency=high



 -- Xie fusheng <xiefs@foxmail.com>  Wed, 06 Jun 2018 16:00:00 -0000

ros-kinetic-xiaoqiang-depth-image-proc (0.0.8-0xenial) xenial; urgency=high

  * add depth image process
  * Contributors: xiaoqiang

 -- Xie fusheng <xiefs@foxmail.com>  Tue, 05 Jun 2018 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-xiaoqiang-depth-image-proc
Section: misc
Priority: extra
Maintainer: Xie fusheng <xiefs@foxmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-cv-bridge, ros-kinetic-eigen-conversions, ros-kinetic-image-geometry, ros-kinetic-image-transport, ros-kinetic-message-filters, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-sensor-msgs, ros-kinetic-stereo-msgs, ros-kinetic-tf2, ros-kinetic-tf2-ros
Homepage: http://www.bwbot.org/content/xiaoqiang
Standards-Version: 3.9.2

Package: ros-kinetic-xiaoqiang-depth-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-cv-bridge, ros-kinetic-eigen-conversions, ros-kinetic-image-geometry, ros-kinetic-image-transport, ros-kinetic-nodelet, ros-kinetic-tf2, ros-kinetic-tf2-ros
Description: Modified version of depth image process, add occupancy xyz Contains nodelets for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well as registering (reprojecting) a depth image into another camera frame.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-xiaoqiang-depth-image-proc//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
